## xml-light 2.2

=== Makefile ===
# Makefile generated by OCamake 
# http://tech.motion-twin.com
.SUFFIXES : .ml .mli .cmo .cmx .cmi .mll .mly

INSTALLDIR=`ocamlc -where`
CFLAGS=
LFLAGS= -a
LIBS=

all: xml-light.cma test.exe doc

opt: xml-light.cmxa test_opt.exe

install: all opt
	cp xml-light.cmxa xml-light.a xml-light.cma xml.mli xmlParser.mli dtd.mli xml.cmi xmlParser.cmi dtd.cmi xml.cmx dtd.cmx xmlParser.cmx $(INSTALLDIR)

doc:
	mkdir doc
	ocamldoc -sort -html -d doc xml.mli dtd.mli xmlParser.mli

test.exe: xml-light.cma
	ocamlc xml-light.cma test.ml -o test.exe
	
test_opt.exe: xml-light.cmxa
	ocamlopt xml-light.cmxa test.ml -o test_opt.exe

xml-light.cma: xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo 
	ocamlc -o xml-light.cma $(LFLAGS) $(LIBS) xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo

xml-light.cmxa: xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx 
	ocamlopt -o xml-light.cmxa $(LFLAGS) $(LIBS) xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx

dtd.cmo: xml.cmi xml_lexer.cmi dtd.cmi

dtd.cmx: xml.cmi xml_lexer.cmi dtd.cmi

xml.cmo: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xml.cmx: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xmlParser.cmo: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

xmlParser.cmx: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

dtd.cmi: xml.cmi

xml.cmi: 

xmlParser.cmi: dtd.cmi xml.cmi

xml_lexer.cmi: dtd.cmi

xml_parser.cmo: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi

xml_parser.cmx: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi

xml_lexer.cmo: xml_lexer.ml xml_lexer.cmi

xml_lexer.cmx: xml_lexer.ml xml_lexer.cmi

clean:
	rm -f xml-light.cma test.exe dtd.cmo dtd.cmi test.cmo test.cmi xml.cmo xml.cmi xmlParser.cmo xmlParser.cmi dtd.cmi xml.cmi xmlParser.cmi xml_lexer.cmi xml_lexer.cmo xml_lexer.ml xml_parser.mli xml_parser.cmi xml_parser.ml xml_parser.cmo
	rm -f xml_light.lib xml_light.a xml-light.cmxa test_opt.exe dtd.cmx dtd.obj dtd.o test.cmx test.obj test.o xml.cmx xml.obj xml.o xmlParser.cmx xmlParser.obj xmlParser.o xml_lexer.cmx xml_lexer.obj xml_lexer.o xml_parser.cmx xml_parser.obj xml_parser.o

wclean:
	-@del xml-light.cma test.exe dtd.cmo dtd.cmi test.cmo test.cmi xml.cmo xml.cmi xmlParser.cmo xmlParser.cmi dtd.cmi xml.cmi xmlParser.cmi xml_lexer.cmi xml_lexer.cmo xml_lexer.ml xml_parser.mli xml_parser.cmi xml_parser.ml xml_parser.cmo 2>NUL
	-@del xml_light.lib xml_light.a xml-light.cmxa test_opt.exe dtd.cmx dtd.obj dtd.o test.cmx test.obj test.o xml.cmx xml.obj xml.o xmlParser.cmx xmlParser.obj xmlParser.o xml_lexer.cmx xml_lexer.obj xml_lexer.o xml_parser.cmx xml_parser.obj xml_parser.o 2>NUL

# SUFFIXES
.ml.cmo:
	ocamlc $(CFLAGS) -c $<

.ml.cmx:
	ocamlopt $(CFLAGS) -c $<

.mli.cmi:
	ocamlc $(CFLAGS) $<

.mll.ml:
	ocamllex $<

.mly.ml:
	ocamlyacc $<

=== debian/changelog ===
xml-light (2.2-17) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 00:35:48 +0100

xml-light (2.2-16) experimental; urgency=low

  * Team upload
  * Compile with OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 08:11:27 +0200

xml-light (2.2-15) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Mehdi Dogguy ]
  * Fix CVE-2012-3514 (Closes: #685584).
    - add 06_CVE-2012-3514.diff

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 05 Oct 2012 15:31:52 +0200

xml-light (2.2-14) unstable; urgency=low

  * Do not try to install the .cmxs plugin on architectures where
    natdynlink is not available.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 07 Jun 2012 13:55:42 +0200

xml-light (2.2-13) unstable; urgency=low

  * Provide a .cmxs plugin in libxml-light-ocaml-dev (Closes: #647299).
    Thanks to Benjamin Sigonneau for the patch.
  * Convert source package to 3.0 (quilt) format.
    - Fixes build-depends-on-obsolete-package (dpatch)
    - Fixes debian-rules-uses-deprecated-makefile (dpatch.mk)
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add libxml-light-ocaml, needed to ship .cmxs files.
    - libxml-light-ocaml Breaks/Replaces the old binary package
      libxml-light-ocaml-dev (<< 2.2-13).

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 29 May 2012 15:17:26 +0200

xml-light (2.2-12) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Set maintainer to debian-ocaml-maint

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Set the section to ocaml
  * Use new features of dh-ocaml 0.9
    - Generate the documentation using dh_ocamldoc
  * Bump standards version to 3.8.3
  * Reorder included files in debian/rules to workaround a CDBS bug

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 Oct 2009 23:55:08 +0200

xml-light (2.2-11) unstable; urgency=low

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Switch packaging to git.
  * Update compat to 7.

  [ Sylvain Le Gall ]
  * Remove useless doc/variable for generating debian/control from
    control.in
  * Use debian/clean
  * Update debian/copyright using CopyrightFormat
  * Add Homepage field

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 02 Mar 2009 22:54:48 +0100

xml-light (2.2-10) experimental; urgency=low

  * Upload to experimental to build against released ocaml 3.11.
  * Updated ocaml-related build-deps.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 13 Dec 2008 23:04:52 +0100

xml-light (2.2-9) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * Prepared upload to experimental against ocaml 3.11.
  * Versioned ocaml related build-dep to avoid confusion.
  * Added build-dep on dh-ocaml.
  * Bumped standards version (no change needed). 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 02 Dec 2008 19:28:59 +0100

xml-light (2.2-8) unstable; urgency=low

  * Build for ocaml 3.10.0
  * Use CDBS generated documentation rather than upstream doc

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 01:23:52 +0200

xml-light (2.2-7) experimental; urgency=low

  * Upgrade debian/watch version to 3,
  * Use "sed -i" to process debian/META.xml-light,
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Jul 2007 23:26:26 +0200

xml-light (2.2-6) unstable; urgency=low

  * Remove trace call (Closes: #382828, #383255)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 26 Oct 2006 23:26:25 +0200

xml-light (2.2-5) unstable; urgency=low

  * Use CDBS for debian/rules,
  * Upgrade debhelper debian/compat to 5,
  * Use patch 03_cflags, to remove CFLAGS use in the
    Makefile (CFLAGS has a particular meaning).

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 26 Oct 2006 00:43:02 +0200

xml-light (2.2-4) unstable; urgency=low

  * Change my email address to gildor@debian.org,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 15 Jun 2006 09:05:21 +0200

xml-light (2.2-3) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:17:06 +0100

xml-light (2.2-2) unstable; urgency=low

  * Apply patch 02_cmi_depends to fix the FTBFS with the latest make
    package (Closes: #345792)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  3 Jan 2006 17:37:47 +0100

xml-light (2.2-1) unstable; urgency=low

  * Initial release. (Closes: #333211)
  * README.Debian contributed by YANG Shouxun

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Thu,  3 Nov 2005 11:45:53 +0100

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for xml-light package
# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PACKAGE_DEV := libxml-light-ocaml-dev
DESTDIR_DEV := $(CURDIR)/debian/$(PACKAGE_DEV)
DESTDIR_RUN := $(CURDIR)/debian/libxml-light-ocaml

DEB_MAKE_CLEAN_TARGET    := clean

DEB_MAKE_BUILD_TARGET    := all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET    += opt
endif

DEB_MAKE_INSTALL_TARGET  := install
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_INSTALL_TARGET  += installopt
endif
DEB_MAKE_INSTALL_TARGET  += INSTALLDIR='$(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)/xml-light'

clean::
	-$(RM) -r '$(CURDIR)/doc'
              
install/libxml-light-ocaml:: install/libxml-light-ocaml-dev
	VERSION=$(DEB_NOEPOCH_VERSION); \
	VERSION=$${VERSION%%-*}; \
	sed -i "s/@VERSION@/$$VERSION/g" '$(CURDIR)/debian/META.xml-light'

	mv $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)/xml-light/xml-light.cma \
		$(DESTDIR_RUN)/$(OCAML_STDLIB_DIR)/xml-light
ifeq ($(OCAML_NATDYNLINK),yes)
	mv $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)/xml-light/xml-light.cmxs \
		$(DESTDIR_RUN)/$(OCAML_STDLIB_DIR)/xml-light
else
	-$(RM) $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)/xml-light/xml-light.cmxs
endif

=== debian/watch ===
version=3
http://tech.motion-twin.com/xmllight.html zip/xml-light-([0-9.]*)\.zip

## xml-light 2.4

=== Makefile ===
# Makefile generated by OCamake 
# http://tech.motion-twin.com
VERSION=2.4
OCAMLOPT=ocamlopt
OCAMLC=ocamlc
OCAMLFIND=ocamlfind

.SUFFIXES : .ml .mli .cmo .cmx .cmi .mll .mly

INSTALLDIR=`$(OCAMLC) -where`
CFLAGS=
LFLAGS= -a
LIBS=

NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)

ifeq "${NATDYNLINK}" "YES"
CMXS=xml-light.cmxs
endif


all: xml-light.cma test.exe doc

opt: xml-light.cmxa $(CMXS) test_opt.exe

installcommon: all
	cp xml.mli xmlParser.mli dtd.mli xml.cmi xmlParser.cmi dtd.cmi $(INSTALLDIR)

installbyte: all installcommon
	cp xml-light.cma $(INSTALLDIR)

installopt: opt installcommon
	cp xml-light.a xml-light.cmxa $(CMXS) xml.cmx dtd.cmx xmlParser.cmx $(INSTALLDIR)

install: installbyte installopt

wininstall: all opt
	cp xml-light.cmxa xml-light.lib xml-light.cma xml.mli xmlParser.mli dtd.mli xml.cmi xmlParser.cmi dtd.cmi xml.cmx dtd.cmx xmlParser.cmx c:\ocaml\lib

install_ocamlfind: all opt
	cp META.in META
	sed -itmp "s|@VERSION@|$(VERSION)|g" META
	rm -rf METAtmp
	$(OCAMLFIND) install xml-light META xml-light.a xml-light.cma xml-light.cmxa $(CMXS) xml.cmx dtd.cmx xmlParser.cmx xml.mli xmlParser.mli dtd.mli xml.cmi xmlParser.cmi dtd.cmi

doc:
	mkdir doc
	ocamldoc -sort -html -d doc xml.mli dtd.mli xmlParser.mli

test.exe: xml-light.cma
	$(OCAMLC) xml-light.cma test.ml -o test.exe

test_opt.exe: xml-light.cmxa
	$(OCAMLOPT) xml-light.cmxa test.ml -o test_opt.exe

xml-light.cma: xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo 
	$(OCAMLC) -o xml-light.cma $(LFLAGS) $(LIBS) xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo

xml-light.cmxa: xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx 
	$(OCAMLOPT) -o xml-light.cmxa $(LFLAGS) $(LIBS) xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx

xml-light.cmxs: xml-light.cmxa
	$(OCAMLOPT) -shared -linkall -I . -o xml-light.cmxs xml-light.cmxa

dtd.cmo: xml.cmi xml_lexer.cmi dtd.cmi

dtd.cmx: xml.cmi xml_lexer.cmi dtd.cmi

xml.cmo: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xml.cmx: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xmlParser.cmo: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

xmlParser.cmx: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

dtd.cmi: xml.cmi

xml.cmi: 

xmlParser.cmi: dtd.cmi xml.cmi

xml_lexer.cmi: dtd.cmi

xml_parser.cmo: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi

xml_parser.cmx: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi

xml_parser.cmi: xml_parser.mli dtd.cmi xml.cmi

xml_lexer.cmo: xml_lexer.ml xml_lexer.cmi

xml_lexer.cmx: xml_lexer.ml xml_lexer.cmi

clean:
	rm -f xml-light.cma test.exe dtd.cmo dtd.cmi test.cmo test.cmi xml.cmo xml.cmi xmlParser.cmo xmlParser.cmi dtd.cmi xml.cmi xmlParser.cmi xml_lexer.cmi xml_lexer.cmo xml_lexer.ml xml_parser.mli xml_parser.cmi xml_parser.ml xml_parser.cmo
	rm -f xml-light.lib xml-light.a xml-light.cmxa test_opt.exe dtd.cmx dtd.obj dtd.o test.cmx test.obj test.o xml.cmx xml.obj xml.o xmlParser.cmx xmlParser.obj xmlParser.o xml_lexer.cmx xml_lexer.obj xml_lexer.o xml_parser.cmx xml_parser.obj xml_parser.o


# SUFFIXES
.ml.cmo:
	$(OCAMLC) $(CFLAGS) -c $<

.ml.cmx:
	$(OCAMLOPT) $(CFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(CFLAGS) $<

.mll.ml:
	ocamllex $<

.mly.ml:
	ocamlyacc $<

=== debian/changelog ===
xml-light (2.4-1) unstable; urgency=low

  * Team upload
  * New upstream version.
    - Removed 01_installopt.diff, 02_cmi_depends.diff, 04_dtd_trace.diff,
      05_cmxs_plugin.diff, and 06_CVE-2012-3514, which are all applied in
      upstream.
    - Updated 03_cflags.diff.
    - Updated rules to work with upstream Makefile changes.
  * Reference new upstream repository.
    - update d/watch, d/control
  * Use secure uri for d/control Vcs-* fields.
  * Bump Standards-Version to 4.0.0 (no changes).
  * Bump d/compat to 9 (no changes).

 -- Andy Li <andy@onthewings.net>  Thu, 06 Jul 2017 10:01:34 +0800

=== debian/control ===
Source: xml-light
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 cdbs (>= 0.4.23-1.1),
 ocaml-nox (>= 4),
 debhelper (>= 9),
 dh-ocaml (>= 0.9)
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/xml-light.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/xml-light.git
Homepage: https://github.com/ncannasse/xml-light

Package: libxml-light-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: mininal XML parser and printer for OCaml (development package)
 This is a XML parser and printer, designed to help parsing basic XML document
 into OCaml data structures and printing it back to a XML document.
 .
 It also supports DTD.

Package: libxml-light-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Breaks:
 libxml-light-ocaml-dev (<< 2.2-13)
Replaces:
 libxml-light-ocaml-dev (<< 2.2-13)
Description: mininal XML parser and printer for OCaml (runtime package)
 This is a XML parser and printer, designed to help parsing basic XML document
 into OCaml data structures and printing it back to a XML document.
 .
 It also supports DTD.

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DEB_MAKE_BUILD_TARGET    += opt
 endif
 
-DEB_MAKE_INSTALL_TARGET  := install
+DEB_MAKE_INSTALL_TARGET  := installbyte
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 DEB_MAKE_INSTALL_TARGET  += installopt
 endif
@@ -44,7 +44,8 @@
 install/libxml-light-ocaml:: install/libxml-light-ocaml-dev
 	VERSION=$(DEB_NOEPOCH_VERSION); \
 	VERSION=$${VERSION%%-*}; \
-	sed -i "s/@VERSION@/$$VERSION/g" '$(CURDIR)/debian/META.xml-light'
+	cp META.in $(DESTDIR_RUN)/$(OCAML_STDLIB_DIR)/xml-light/META; \
+	sed -i "s/@VERSION@/$$VERSION/g" '$(DESTDIR_RUN)/$(OCAML_STDLIB_DIR)/xml-light/META'
 
 	mv $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)/xml-light/xml-light.cma \
 		$(DESTDIR_RUN)/$(OCAML_STDLIB_DIR)/xml-light

=== debian/watch ===
version=3
https://github.com/ncannasse/xml-light/releases .*/archive/(\d\S*)\.tar\.gz

## xml-light 2.5

=== debian/changelog ===
xml-light (2.5-2build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:07:49 +0200

xml-light (2.5-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:54:03 +0100

xml-light (2.5-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:20:44 +0200

xml-light (2.5-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:19:13 +0100

xml-light (2.5-2) unstable; urgency=medium

  * Team upload
  * META was wrongly in libxml-light-ocaml-dev (Closes: #1041751)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 21:33:15 +0200

xml-light (2.5-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no
  * Update Vcs-*
  * Update debian/watch

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 08:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- cdbs (>= 0.4.23-1.1),
- ocaml-nox (>= 4),
- debhelper (>= 9),
- dh-ocaml (>= 0.9)
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/xml-light.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/xml-light.git
+ debhelper-compat (= 13),
+ ocaml,
+ ocaml-dune,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/ocaml-team/xml-light.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/xml-light
 Homepage: https://github.com/ncannasse/xml-light
 
 Package: libxml-light-ocaml-dev
